<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Ejercicio 6</title>
	<style type="text/css">
		body {
			background-color: grey;
		}

		.calculadora {
			height: 400px;
			width: 600px;
			margin: 0 auto;
			display: flex;
			flex-direction: row;
		}
		div.operaciones {
			padding: 25px;
			min-width: 500px;
			display: flex;
			flex-direction: column;
			flex-grow: 1;
			justify-content: space-between;
			border: 1px white solid;	
		}	
		div.resultado {
			display: flex;
			align-items: center;
			justify-content: center;
			border: 1px white solid;
			padding: 5px;
		}
		
		div.operaciones>div {
			width: 100%;
			display: flex;
			justify-content: space-between;
			align-items: center;			
		}

		input {
			height: 25px;
			width: 100px;
			margin: 10px;
		}
		
	</style>

	<script type="text/javascript">
		function suma(){
			let s=0;
			s=Number(document.querySelector("#n1").value )+Number(document.querySelector("#n2").value);
			document.querySelector("#resultado").value=s;
		}
		
		function diferencia(){
			let d=0;
			d=Number(document.querySelector("#n3").value)-Number(document.querySelector("#n4").value);
			document.querySelector("#resultado").value=d;
		}

		function negativo(){
			let n=0;
			n=-Number(document.querySelector("#n5").value);
			document.querySelector("#resultado").value=n;
		}

		function multiplica(){
			let m=0;
			m=Number(document.querySelector("#n6").value)*Number(document.querySelector("#n7").value);
			document.querySelector("#resultado").value=m;
		}

		function divide(){
			let dv=0;
			dv=Number(document.querySelector("#n8").value)/Number(document.querySelector("#n9").value);
			document.querySelector("#resultado").value=dv;
		}

		function resto(){
			let rs=0;
			rs=Number(document.querySelector("#n10").value)%Number(document.querySelector("#n11").value);
			document.querySelector("#resultado").value=rs;
		}




	</script>
</head>
<body>
	<div class="calculadora">
		<div class="operaciones">
			<div>
				<input type="text" id="n1">
				<input type="text" id="n2">
				<input type="button" onclick="suma()" value="SUMAR">
			</div>
			<div>
				<input type="text" id="n3">
				<input type="text" id="n4">
				<input type="button" onclick="diferencia()"  value="RESTAR">
			</div>
			<div>
				<input type="text" id="n5">
				<input type="button" onclick="negativo()" value="NEGAR" >
			</div>
			<div>
				<input type="text" id="n6">
				<input type="text" id="n7">
				<input type="button" onclick="multiplica()" value="PRODUCTO">
			</div>
			<div>
				<input type="text" id="n8">
				<input type="text" id="n9">
				<input type="button" onclick="divide()" value="COCIENTE">
			</div>
			<div>			
				<input type="text" id="n10">
				<input type="text" id="n11">
				<input type="button" onclick="resto()"  value="RESTO">
			</div>
		</div>
		<div class="resultado">
			<input type="text" id="resultado">
		</div>
	</div>
</body>
</html>